"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SoftDeletable = void 0;
require("./handler");
const core_1 = require("@mikro-orm/core");
const common_1 = require("./common");
function SoftDeletable(_configOrType, _field, _value, _valueInitial) {
    const config = typeof _configOrType === "function"
        ? _field && _value
            ? {
                type: _configOrType,
                field: _field,
                value: _value,
                valueInitial: _valueInitial,
            }
            : null
        : _configOrType;
    if (!config)
        throw new Error("Invalid arguments");
    return (type) => {
        Reflect.defineMetadata(common_1.SOFT_DELETABLE, config, type);
        const { field, valueInitial } = config;
        (0, core_1.Filter)({
            name: common_1.SOFT_DELETABLE_FILTER,
            cond: { [field]: valueInitial ?? null },
            default: true,
        })(type);
    };
}
exports.SoftDeletable = SoftDeletable;
//# sourceMappingURL=decorator.js.map